## org.apache.commons.math.ode.jacobians
Interface ODEWithJacobians

All Superinterfaces:
  FirstOrderDifferentialEquations

All Known Implementing Classes:
  FirstOrderIntegratorWithJacobians.FiniteDifferencesWrapper

    public interface ODEWithJacobians

extends FirstOrderDifferentialEquations

This interface represents `first order differential equations` with parameters and partial derivatives.

Since:
  2.1
Version:
  $Revision: 919963 $ $Date: 2010-03-07 05:59:33 -0500 (Sun, 07 Mar 2010) $
See Also:
  `FirstOrderIntegratorWithJacobians`

Method Summary
`void` `computeJacobians(double t, double[] y, double[] yDot, double[][] dFdY, double[][] dFdP)` Compute the partial derivatives of ODE with respect to state.
`int` `getParametersDimension()` Get the number of parameters.

Methods inherited from interface org.apache.commons.math.ode.FirstOrderDifferentialEquations
`computeDerivatives, getDimension`

Method Detail

### getParametersDimension

    int getParametersDimension()

  Get the number of parameters.

  Returns:
    number of parameters

### computeJacobians

    void computeJacobians(double t,
                          double[] y,
                          double[] yDot,
                          double[][] dFdY,
                          double[][] dFdP)
                          throws DerivativeException

  Compute the partial derivatives of ODE with respect to state.

  Parameters:
    `t` - current value of the independent time variable
    `y` - array containing the current value of the state vector
    `yDot` - array containing the current value of the time derivative of the state vector
    `dFdY` - placeholder array where to put the jacobian of the ODE with respect to the state vector
    `dFdP` - placeholder array where to put the jacobian of the ODE with respect to the parameters
  Throws:
    `DerivativeException` - this exception is propagated to the caller if the underlying user function triggers one

Copyright (c) 2003-2010 Apache Software Foundation